package com.ss.android.ugc.aweme.ecommerce.address.api;

import X.2Ha;
import X.8qo;
import X.9ef;
import X.C5566C4c;
import X.C5576C4m;
import X.C5579C4p;
import X.C5580C4q;
import X.C5642C7a;
import X.C5643C7b;
import X.C5648C7g;
import X.C5700C9g;
import X.C5718C9y;
import X.C5E;
import X.C7W;
import X.C7X;
import X.C7Y;
import X.C7Z;
import X.C8T;
import X.C9V;
import X.IUu;
import X.PgU;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.ecommerce.address.dto.InputItemData;

public interface AddressApi {
    public static final C7W LIZ = C7W.LIZIZ;

    static {
        Covode.recordClassIndex(67986);
    }

    @IUu(LIZ = "/api/v1/shop/shipping_address/check")
    PgU<9ef<C5E<C5700C9g>>> checkPostcode(@8qo C7Z c7z);

    @IUu(LIZ = "/api/v1/shop/shipping_address/claim_incentive")
    PgU<9ef<C5E<C5579C4p>>> claimIncentive(@8qo C5580C4q c4q);

    @IUu(LIZ = "/api/v1/shop/shipping_address/delete")
    PgU<C5E<Object>> deleteAddress(@8qo C7Y c7y);

    @IUu(LIZ = "/api/v1/shop/shipping_address/get")
    PgU<9ef<C5E<C5566C4c>>> getAddressList();

    @IUu(LIZ = "/api/v1/shop/shipping_address/get")
    PgU<9ef<C5E<C5566C4c>>> getAddressList(@8qo C5576C4m c4m);

    @IUu(LIZ = "/api/v1/shop/buyer/has_address")
    PgU<9ef<C5E<2Ha>>> getBuyerHasAddress();

    @IUu(LIZ = "/api/v1/shop/shipping_address/get_detail_place")
    PgU<9ef<C5E<C9V>>> getCandDetailPlace(@8qo C5648C7g c7g);

    @IUu(LIZ = "/api/v1/shop/shipping_address/get_shipping_address_candidate_input")
    PgU<9ef<C5E<C5718C9y>>> getCandInput(@8qo C7X c7x);

    @IUu(LIZ = "/api/v1/shop/shipping_address/input_item")
    PgU<9ef<C5E<InputItemData>>> getInputItems(@8qo C5642C7a c7a);

    @IUu(LIZ = "/api/v1/shop/shipping_address/save")
    PgU<9ef<C5E<C8T>>> saveAddress(@8qo C5643C7b c7b);
}
